Gentoo Archives: gentoo-user-cs

From: "Honza Macháček" <Hloupy.Honza@×××××××.cz>
To: gentoo-user-cs@l.g.o
Subject: [gentoo-user-cs] virtual/x11
Date: Thu, 29 Mar 2007 13:02:40
Message-Id: 460BB8D3.3080907@centrum.cz
Ahoj, lidi a spol.,
  právě se chystám dát do /etc/portage/packages.unmask virtual/x11,
protože při pokusu o upgrade softwaru se dozvím:

> !!! All ebuilds that could satisfy "virtual/x11" have been masked. > !!! One of the following masked packages is required to complete your request: > - virtual/x11-7.0-r2 (masked by: package.mask) > # Stefan Schweizer <genstef@g.o> (25 Mar 2007) > # Please use modular Xorg now > > For more information, see MASKED PACKAGES section in the emerge man page or > refer to the Gentoo Handbook. > (dependency required by "sci-chemistry/raster3d-2.7c" [ebuild])
Vzhledem k tomu, že za prvé modulární Xorg, pokud vím, používám už hezky dlouho, za druhé virtuální balíčky, jestli jim dobře rozumím, by měly být nezávislé na tom, jakou jsem si vybral implementaci, zda modulární nebo monolitickou nebo Xorg nebo XFree, a za třetí, jestli ebuild pro virtual/x11-7.0-r2 správně čtu, ten vyžaduje modulární Xorg a nic jiného, ptám se: Je to vtip, nebo jsem něco nepochopil? Snad že končí podpora alternativních implementací X, nikdo s ní ani do budoucna nepočítá, a tak virtuální balík ztrácí význam? A mnohem podstatnější otázka: Je odmaskování virtual/x11 správné řešení, nebo si tím jen zadělávám na budoucí problémy? Další problém vidím v tom, že ebuild pro sci-chemistry/raster3d-2.7c si žádá
> DEPEND="${RDEPEND} > || ( x11-misc/imake virtual/x11 )"
Proč mu tedy schází virtual/x11, když x11-misc/imake mám? Chyba ebuildu, chyba emerge, nebo zase něco nechápu? Mějte se krásně. Honza Macháček -- gentoo-user-cs@g.o mailing list

Replies

Subject Author
Re: [gentoo-user-cs] virtual/x11 "Jan Kundrát" <jkt@g.o>